//package br.com.tutorial.avalia;

import java.awt.Graphics;
import javax.swing.JApplet;

import br.com.tutorial.avalia.Fluxo;
import br.com.tutorial.avalia.Correcao;

public class Avaliacao extends JApplet {

       char respCorreta[];
       char respEscolhida[];

       public void init() {
            String bgcolor = getParameter("bgcolor");
       }

       public void start() {

            respCorreta = converter(getParameter("respCorreta"));
            respEscolhida = converter(getParameter("respEscolhida"));

            Correcao corr = new Correcao(respCorreta, respEscolhida);
            boolean certa = corr.corrigir();
       }

       public void paint(Graphics g) {

            //for(int i = 0; i < fluxo.length; i++)
                //g.drawString(fluxo[i] + " - ", (5 * i * 5), 25);
            g.drawString("aqui", 5, 25);
       }

       public void stop() {
       }

       public void destroy() {
       }

       private char[] converter(String str) {

            String dividida[];

            dividida = str.split(",\\s*");
            char caracter[] = new char[dividida.length];

            for(int i = 0; i < dividida.length; i++) {
                 caracter[i] = dividida[i].charAt(0);
            }

            return caracter;
       }
}